Bug 80667 - [chromium] Provide explicit polling API to check if the platform is capable of accelerated 2d canvas
Summary: [chromium] Provide explicit polling API to check if the platform is capable o...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: James Robinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-08 18:35 PST by James Robinson
Modified: 2012-03-14 15:59 PDT (History)
6 users (show)

See Also:


Attachments
Patch (4.50 KB, patch)
2012-03-08 18:36 PST, James Robinson
no flags Details | Formatted Diff | Diff
Patch (4.69 KB, patch)
2012-03-13 15:04 PDT, James Robinson
fishd: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Robinson 2012-03-08 18:35:39 PST
[chromium] Provide explicit polling API to check if the platform is capable of accelerated 2d canvas
Comment 1 James Robinson 2012-03-08 18:36:20 PST
Created attachment 130946 [details]
Patch
Comment 2 James Robinson 2012-03-08 18:42:25 PST
Please see https://chromiumcodereview.appspot.com/9655017 for the implementation and context. I'd like to hammer out the implementation and do all the bikeshedding over on that review, then update this side to match.
Comment 3 James Robinson 2012-03-13 15:04:47 PDT
Created attachment 131722 [details]
Patch
Comment 4 James Robinson 2012-03-13 15:05:27 PDT
This patch depends on https://chromiumcodereview.appspot.com/9655017/ landing and rolling in to Source/WebKit/chromium/DEPS, which is currently in the chromium commit queue.
Comment 5 WebKit Review Bot 2012-03-13 15:09:51 PDT
Please wait for approval from fishd@chromium.org before submitting because this patch contains changes to the Chromium public API.
Comment 6 James Robinson 2012-03-14 11:12:39 PDT
Committed r110716: <http://trac.webkit.org/changeset/110716>
Comment 7 James Robinson 2012-03-14 15:59:35 PDT
I had documentation for this but it ended up in the wrong branch - landed in http://trac.webkit.org/changeset/110773.